
#!/bin/sh
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}


config etc/ts.conf.new
( cd usr/lib ; rm -rf libts-0.0.so.0 )
( cd usr/lib ; ln -sf libts-0.0.so.0.1.1 libts-0.0.so.0 )
( cd usr/lib ; rm -rf libts.so )
( cd usr/lib ; ln -sf libts-0.0.so.0.1.1 libts.so )
